summaryrefslogtreecommitdiffstats
path: root/network/pCloudDrive/pCloudDrive.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'network/pCloudDrive/pCloudDrive.SlackBuild')
-rw-r--r--network/pCloudDrive/pCloudDrive.SlackBuild50
1 files changed, 31 insertions, 19 deletions
diff --git a/network/pCloudDrive/pCloudDrive.SlackBuild b/network/pCloudDrive/pCloudDrive.SlackBuild
index f237ca416d..df58d5ae1c 100644
--- a/network/pCloudDrive/pCloudDrive.SlackBuild
+++ b/network/pCloudDrive/pCloudDrive.SlackBuild
@@ -1,8 +1,8 @@
-#!/bin/sh
+#!/bin/bash
# Slackware build script for pCloudDrive
-# Copyright 2019 Igor Alexandrov <igora.vault@gmail.com>
+# Copyright 2020 Igor Alexandrov <igor.alexandrov@outlook.com>
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -22,33 +22,45 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+# Modifid by slackbuilds.org
+
+cd $(dirname $0) ; CWD=$(pwd)
+
PRGNAM=pCloudDrive
-VERSION=${VERSION:-1.7.2}
-BUILD=${BUILD:-1}
+VERSION=${VERSION:-1.8.2}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
if [ -z "$ARCH" ]; then
- case "$(uname -m)" in
- i?86) ARCH=i586 ;;
- arm*) ARCH=arm ;;
- *) ARCH=$(uname -m) ;;
- esac
+ ARCH=$(uname -m)
+fi
+
+case "$ARCH" in
+ # do nothing and pass through
+ i?86|x86_64) ;;
+ *)
+ echo "$ARCH is not supported for $PRGNAM-$VERSION"
+ exit 1
+ ;;
+esac
+
+set -e
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
fi
-CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
APPIMGNAM=pcloud
-if [ "$ARCH" != "x86_64" -a "$ARCH" != "i586" ]; then
- echo "$ARCH is not supported for $PRGNAM-$VERSION"
- exit 1
-fi
-
-set -eu
-
rm -rf $PKG
mkdir -p $TMP $OUTPUT $PKG/{install,opt,usr/{bin,doc/$PRGNAM-$VERSION}}
cd $PKG/opt
@@ -57,7 +69,7 @@ $CWD/$APPIMGNAM --appimage-extract
mv squashfs-root $PRGNAM
cd $PKG
mv $PKG/opt/$PRGNAM/usr/share $PKG/usr
-rm -rf $PKG/opt/$PRGNAM/{usr,AppRun,pcloud.png,pcloud.desktop}
+rm -rf $PKG/opt/$PRGNAM/{usr,AppRun,pcloud.png,pcloud.desktop,resources/app/.vscode}
install -D -m 644 -t $PKG/usr/share/applications $CWD/pclouddrive.desktop
chown -R root:root .
@@ -79,4 +91,4 @@ cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
-/sbin/makepkg -p -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+/sbin/makepkg -p -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE